GenSynth Documentation

Stopping / Upgrading GenSynth

If the containers need to be removed, such as for an upgrade, use stop.sh to stop and remove the containers. This does not remove database contents or generated results, which are saved in the gensynth-internals and workspace folders.

When restarted, your license may have become invalid and it will need to be activated again, because some configuration and version changes invalidate the activation.

Starting with GenSynth 1.13, the PostgreSQL container (e.g., darwinai/gensynth-db:1.13.0-pg) contains an upgrade script that will check the current version and attempt to upgrade it. So if you have shutdown a previous container version and started the new container version using the same database files, you can easily upgrade like this.

To discover if upgrades are available, run:

/gensynth-schema-upgrade/auto-upgrade.sh

If you wish to perform a single stage of upgrade, run:

/gensynth-schema-upgrade/auto-upgrade.sh --yes

If you wish to run all available upgrades in sequence, run:

/gensynth-schema-upgrade/auto-upgrade.sh --all

Read the output to see if any errors have occurred.